Bug 219074 - rt_sigprocmask(2) missing its `how' parameter
rt_sigprocmask(2) missing its `how' parameter
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: man-pages (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Ben Levenson
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-10 09:14 EST by Jan Kratochvil
Modified: 2013-04-12 14:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0529
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-18 10:51:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix (794 bytes, patch)
2006-12-10 09:14 EST, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2006-12-10 09:14:19 EST
Description of problem:
Documented prototype not matching the Linux kernel implementation.

Version-Release number of selected component (if applicable):
man-pages-2.39-7.noarch

How reproducible:
Always.

Steps to Reproduce:
1. man 2 rt_sigprocmask

Actual results:
long sys_rt_sigprocmask (sigset_t *set, sigset_t *oset, size_t sigsetsize);

Expected results:
long sys_rt_sigprocmask (int how, sigset_t *set, sigset_t *oset, size_t sigsetsize);

Additional info:
kernel-2.6.18-1.2732.el5 kernel/signal.c provides:
asmlinkage long
sys_rt_sigprocmask(int how, sigset_t __user *set, sigset_t __user *oset, size_t
sigsetsize)
and also 
glibc-2.5-6 sysdeps/unix/sysv/linux/ia64/sigprocmask.c calls:
  return INLINE_SYSCALL (rt_sigprocmask, 4, how, CHECK_SIGSET (set),
                         CHECK_SIGSET_NULL_OK (oset), _NSIG / 8);
Comment 1 Jan Kratochvil 2006-12-10 09:14:19 EST
Created attachment 143240 [details]
Fix
Comment 3 Stepan Kasal 2007-06-20 14:25:41 EDT
Fixed in man-pages-2.39-10.el5
Comment 7 Red Hat Bugzilla 2007-07-18 10:51:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0529.html

Note You need to log in before you can comment on or make changes to this bug.